<div class="col-md-4">
  <h3>Edit User</h3>
	<form [formGroup]='addUser' (ngSubmit)="updateuser()" *ngIf="userdata">
		<div class="form-group">
			<label for="name">Name</label>
			<input type="text" [(ngModel)]="userdata.name" formControlName="name" class="form-control" aria-describedby="emailHelp">
			<div
				*ngIf="addUser.controls['name'].invalid && (addUser.controls['name'].dirty || addUser.controls['name'].touched)">
				<div *ngIf="addUser.controls['name'].errors.required">
					<small class="form-text text-muted"> Name is required.</small>
				</div>
				<div *ngIf="addUser.controls['name'].errors.minlength">
					<small class="form-text text-muted"> Minimum
						{{addUser.controls['name'].errors.minlength.requiredLength}}
						character required </small>

				</div>
				<div *ngIf="addUser.controls['name'].errors.maxlength">
					<small class="form-text text-muted"> Maximum
						{{addUser.controls['name'].errors.maxlength.requiredLength}}
						character required</small>
				</div>
			</div>
			<small id="emailHelp" class="form-text text-muted"></small>
		</div>
		<div class="form-group">
			<label for="age">Age</label>
			<input type="number" [(ngModel)]="userdata.age" class="form-control" formControlName="age" id="exampleInputPassword1">
			<div
				*ngIf="addUser.controls['age'].invalid && (addUser.controls['age'].dirty || addUser.controls['age'].touched)">
				<div *ngIf="addUser.controls['age'].errors.required">
					<small class="form-text text-muted"> Age is required.</small>
				</div>
				<div *ngIf="addUser.controls['age'].errors.min">
					<small class="form-text text-muted"> Minimum Age should be
            {{addUser.controls['age'].errors.min.min}}
						 </small>

				</div>
				<div *ngIf="addUser.controls['age'].errors.max">
					<small class="form-text text-muted"> Maximum age is
						{{addUser.controls['age'].errors.max.max}}
            </small>
				</div>
			</div>
		</div>
		<button type="submit" class="btn btn-primary" [disabled]='addUser.invalid'>Submit</button>
  </form>
  <br>
  <div class="alert alert-danger" role="alert" *ngIf="showError.show">
    {{showError.message}}
  </div>
  <div class="alert alert-success" role="alert" *ngIf="showSuc.show">
    {{showSuc.message}}
  </div>
</div>
